Domains

Relist multiple domains

POST
/v3/aftermarket/customers/{customerId}/domains/$each/relist

Re-trigger the listing process for up to 500 domain entries at once.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

Multiple domains relist request payload

application/json
  1. body
mode?string

Domain relist mode. This provides some guidance on how to relist the domain.

Default"RESYNC"
Value in"RESYNC""REACTIVATE"
names*array<>

A list of puny-coded domain names as a JSON payload

Rangevalue <= 500

Response Body

Returns an aggregate of each individual domain operation result. Results are keyed by domain name and provides errors and HTTP response code per operation. A domain whose listing didn't change (e.g. it was already relisted) is reported here with a 204 result, not as a separate top-level status.

application/json
  1. response
[key: string]?
Example Request
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/domains/$each/relist' \  -H 'Content-Type: application/json' \  -d '{  "names": [    "example.com",    "example2.com",    "example3.com"  ]}'
Example Response
{  "example1.com": {    "code": 200  },  "example2.com": {    "code": 422,    "error": {      "code": "VALIDATION_ERROR",      "message": "Unable to process request due to validation errors"    }  }}